> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/parallels-ras-powershell-admin-module/types/rasfiles.md).

# RASFiles

## NAMESPACE

RASAdminEngine.Core.OutputModels

## DESCRIPTION

RAS Files

## INHERITED FROM

-none-

## INTERFACES

* IList\<String>
* ICollection\<String>
* IEnumerable\<String>
* IEnumerable
* IList
* ICollection
* IReadOnlyList\<String>
* IReadOnlyCollection\<String>

## PUBLIC PROPERTIES

| Type   | Name        | Description |
| ------ | ----------- | ----------- |
| Int32  | Capacity    |             |
| Int32  | Count       |             |
| String | Item        |             |
| String | ZipFilePath |             |

## PUBLIC METHODS

| Type                                                                 | Name                                                                | Description                                                                       |
| -------------------------------------------------------------------- | ------------------------------------------------------------------- | --------------------------------------------------------------------------------- |
| Void                                                                 | Add (String item)                                                   | Void                                                                              |
| AddRange (IEnumerable\<String> collection)                           | ReadOnlyCollection\<String>                                         | AsReadOnly ()                                                                     |
| Int32                                                                | BinarySearch (String item)                                          | Int32                                                                             |
| BinarySearch (String item, IComparer\<String> comparer)              | Int32                                                               | BinarySearch (Int32 index, Int32 count, String item, IComparer\<String> comparer) |
| Void                                                                 | Clear ()                                                            | Boolean                                                                           |
| Contains (String item)                                               | List\<TOutput>                                                      | ConvertAll (Converter\<String, TOutput> converter)                                |
| Void                                                                 | CopyTo (String\[] array, Int32 arrayIndex)                          | Void                                                                              |
| CopyTo (Int32 index, String\[] array, Int32 arrayIndex, Int32 count) | Void                                                                | CopyTo (String\[] array)                                                          |
| String                                                               | CreateZipPath (String filename)                                     | Boolean                                                                           |
| Equals (Object obj)                                                  | Boolean                                                             | Exists (Predicate\<String> match)                                                 |
| String                                                               | Find (Predicate\<String> match)                                     | List\<String>                                                                     |
| FindAll (Predicate\<String> match)                                   | Int32                                                               | FindIndex (Predicate\<String> match)                                              |
| Int32                                                                | FindIndex (Int32 startIndex, Int32 count, Predicate\<String> match) | Int32                                                                             |
| FindIndex (Int32 startIndex, Predicate\<String> match)               | String                                                              | FindLast (Predicate\<String> match)                                               |
| Int32                                                                | FindLastIndex (Predicate\<String> match)                            | Int32                                                                             |
| FindLastIndex (Int32 startIndex, Predicate\<String> match)           | Int32                                                               | FindLastIndex (Int32 startIndex, Int32 count, Predicate\<String> match)           |
| Void                                                                 | ForEach (Action\<String> action)                                    | List\<String>                                                                     |
| GetEnumerator ()                                                     | Int32                                                               | GetHashCode ()                                                                    |
| List\<String>                                                        | GetRange (Int32 index, Int32 count)                                 | Type                                                                              |
| GetType ()                                                           | Int32                                                               | IndexOf (String item)                                                             |
| Int32                                                                | IndexOf (String item, Int32 index)                                  | Int32                                                                             |
| IndexOf (String item, Int32 index, Int32 count)                      | Void                                                                | Insert (Int32 index, String item)                                                 |
| Void                                                                 | InsertRange (Int32 index, IEnumerable\<String> collection)          | Int32                                                                             |
| LastIndexOf (String item)                                            | Int32                                                               | LastIndexOf (String item, Int32 index, Int32 count)                               |
| Int32                                                                | LastIndexOf (String item, Int32 index)                              | Boolean                                                                           |
| Remove (String item)                                                 | Int32                                                               | RemoveAll (Predicate\<String> match)                                              |
| Void                                                                 | RemoveAt (Int32 index)                                              | Void                                                                              |
| RemoveRange (Int32 index, Int32 count)                               | Void                                                                | Reverse ()                                                                        |
| Void                                                                 | Reverse (Int32 index, Int32 count)                                  | Void                                                                              |
| Sort ()                                                              | Void                                                                | Sort (Comparison\<String> comparison)                                             |
| Void                                                                 | Sort (Int32 index, Int32 count, IComparer\<String> comparer)        | Void                                                                              |
| Sort (IComparer\<String> comparer)                                   | String\[]                                                           | ToArray ()                                                                        |
| String                                                               | ToString ()                                                         | Void                                                                              |
| TrimExcess ()                                                        | Boolean                                                             | TrueForAll (Predicate\<String> match)                                             |

### References to Commands | | | | |----|

\| [Get-RASPubItemIcon](https://github.com/Parallels-Corp/DI-OPS-prls-docs/blob/master/ras/API-guides/v21-PowerShell-API/MD/RASAdmin/cmdlets/Get-RASPubItemIcon.md) | | | [Get-RASThemeCustomImage](https://github.com/Parallels-Corp/DI-OPS-prls-docs/blob/master/ras/API-guides/v21-PowerShell-API/MD/RASAdmin/cmdlets/Get-RASThemeCustomImage.md) | | | [Get-RASThemeImage](https://github.com/Parallels-Corp/DI-OPS-prls-docs/blob/master/ras/API-guides/v21-PowerShell-API/MD/RASAdmin/cmdlets/Get-RASThemeImage.md) | | [Invoke-RASClientPolicy](https://github.com/Parallels-Corp/DI-OPS-prls-docs/blob/master/ras/API-guides/v21-PowerShell-API/MD/RASAdmin/cmdlets/Invoke-RASClientPolicy.md) | | | [Invoke-RASExportCertificate](https://github.com/Parallels-Corp/DI-OPS-prls-docs/blob/master/ras/API-guides/v21-PowerShell-API/MD/RASAdmin/cmdlets/Invoke-RASExportCertificate.md) | | | [Invoke-RASRetrieveAgentLogs](https://github.com/Parallels-Corp/DI-OPS-prls-docs/blob/master/ras/API-guides/v21-PowerShell-API/MD/RASAdmin/cmdlets/Invoke-RASRetrieveAgentLogs.md) |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/parallels-ras-powershell-admin-module/types/rasfiles.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
